/* GCC */
#include <fstream>
#include <string>
#include <vector>
#include <algorithm>
#include <cmath>

using namespace std;

bool isTriangle(long a, long b, long c)
{
    return a + b > c && abs(a - b) < c;
}

int main()
{
    ifstream in("triangle.in");
    ofstream out("triangle.out");

    long n = 0;
    in >> n;

    vector<long> sides(n);
    for(long i = 0 ;i < n; i++)
    {
        in >> sides[i];
    }
    sort(sides.begin(), sides.end());

    string mode = "";
    in >> mode;

    in.close();

    long maxSum = 0;
    long indexA = 0;
    long indexB = 1;
    long indexC = 2;
    #define a sides[indexA]
    #define b sides[indexB]
    #define c sides[indexC]
    while(true)
    {
        long tempIndexC = indexC;
        while(tempIndexC + 1 < sides.size() && isTriangle(a,b, sides[tempIndexC + 1]))
        {
            tempIndexC++;
            if(sides[tempIndexC] != c)
            {
                indexC = tempIndexC;
            }
        }

        if(isTriangle(a,b,c))
        {
            maxSum = max(maxSum, a + b + c);

            if(mode == "min")
            {
                out << maxSum << endl;
                return 0;
            }
        }

        indexA = indexB;
        indexB = indexC;

        if(tempIndexC + 1 < sides.size())
        {
            indexC++;
        }
        else
        {
            break;
        }
    }

    if (maxSum == 0)
    {
        out << "none";
    }
    else
    {
        out << maxSum;
    }
    out << endl;
    out.close();

    return 0;
}
